package com.njcn.mapper.configuration;

import com.njcn.pojo.configuration.SubVoltage;
import com.njcn.pojo.excelBody.DeviceDetailExcelBody;
import com.njcn.pojo.excelBody.SubVoltageExcelBody;
import com.njcn.pojo.user.LogicNext;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

public interface SubVoltageMapper extends Mapper<SubVoltage> {
public Long selectMaxSubvIndex();
	
	List<SubVoltage> testName(@Param("name")String name,@Param("devIndex")Long devIndex,@Param("subvIndex")Long subvIndex);
	//查询所有
	List<SubVoltage> selectIndexAll(@Param("subIndex")int subIndex);
	//根据id查询除此之外的数据
	List<LogicNext> selectExAll(@Param("subvIndex")int subvIndex, @Param("subIndex")int subIndex, @Param(value = "tfIndex") String tfIndex);

	//获取该表所有数据，提供excel导出
    List<SubVoltageExcelBody> selectAllExcelData();
}
